说明:最近一直在玩爬虫,需要使用到python3pip3,手动安装又有点麻烦,就搞了个一键脚本,Python版本为3.6.4,脚本安装了很多依赖包,不会因为缺少依赖而出问题,这里就分享下。

安装

1、检查下系统是否有Python3

python3 -V

2、安装Python3

#CentOS系统
wget https://down.hupsun.com/CentOS_Python3.6.sh && sh CentOS_Python3.6.sh
#Debian系统
wget https://down.hupsun.com/Debian_Python3.6.sh && sh Debian_Python3.6.sh

然后再输入python3 -V看是否安装成功。一般安装成功就可以使用python3pip3了。

提示

如果想修改系统默认的Python版本的话,还需要创建软链接,可使用命令:

cd /usr/bin
mv python python.backup
ln -s /usr/local/bin/python3 /usr/bin/python

然后重启运行python -V查看即可。

一般CenOS系统修改后会出现yum用不了的情况,这时候需要编辑yum的配置文件,方法如下:

vi /usr/bin/yum
将文件首行
#!usr/bin/python
修改为python之前的版本,如:
#!/usr/bin/python2.7

解除宝塔面板 MySQL 安装最低内存限制

VIRMACH黑五,抢了一堆的小鸡,可是有个比较坑的地方,说是768的内存,实际上在只有744M,如果用宝塔最新版安装就会提示内存地狱768,无法安装MYSQL5.6,感谢...

阅读全文

oracle永久机刷机包(含Windows)

制作教程太繁琐等以后有时间再编辑添加,大家可以参考其它坛友的方法 暂时没找到好用的p2p文件分享方式,且想起流量不够还有300美元可用,所以暂还是用直链分...

阅读全文

一款带Web面板的轻量级、高性能内网穿透工具:nps使用教程

说明:内网穿透工具之前已经介绍了不少了,比如Frp、lanproxy、Holer等,现在再介绍个带Web面板的穿透工具nps,之前叫easyProxy,只是改名了而已,该工具是一...

阅读全文

欢迎留言